import request from "@/utils/request";

//区域暂态事件统计
export function getRStatOrg(data) {
    return request({
        url: "/event-boot/statisticsOfTransientIndicators/getRStatOrg",
        method: "post",
        data,
    });
}
//区域暂态指标分类统计
export function getRStatEventOrg(data) {
    return request({
        url: "/event-boot/statisticsOfTransientIndicators/getRStatEventOrg",
        method: "post",
        data,
    });
}
//变电站暂态指标分类统计表
export function getRStatSubstation(data) {
    return request({
        url: "/event-boot/statisticsOfTransientIndicators/getRStatSubstation",
        method: "post",
        data,
    });
}
//暂态事件明细
export function getDetailsOfTransientEvents(data) {
    return request({
        url: "/event-boot/rmpEventDetail/getDetailsOfTransientEvents",
        method: "post",
        data,
    });
}
//暂态指标分布统计
export function getEventDistributionStatisticsTable(data) {
    return request({
        url: "/event-boot/eventDistributionStatistics/getEventDistributionStatisticsTable",
        method: "post",
        data,
    });
}
//暂态事件明细
export function getEventStatisList() {
    return request({
        url: "/event-boot/rmpEventDetail/getEventStatisList",
        method: "get",
    });
}
//波形
export function getTransientAnalyseWave(data) {
    return request({
        url: "/event-boot/transient/getTransientAnalyseWave?lineId=" + data.lineId + "&&timeId=" + data.timeId,
        method: "post",
        //data,
    });
}
//获取持续时间折线图
export function getEventDurationLineChart(data) {
    return request({
        url: "/event-boot/eventDistributionStatistics/getEventDurationLineChart",
        method: "post",
        data,
    });
}
//获取特征幅值折线图
export function getEventFeatureAmplitudeLineChart(data) {
    return request({
        url: "/event-boot/eventDistributionStatistics/getEventFeatureAmplitudeLineChart",
        method: "post",
        data,
    });
}
//获取特征幅值折线图
export function getEventFeatureAmplitudeCurve(data) {
    return request({
        url: "/event-boot/eventDistributionStatistics/getEventFeatureAmplitudeCurve",
        method: "post",
        data,
    });
}
//电压暂降服务模块
export function getPwRStatSubstation(data) {
    return request({
        url: "/event-boot/pwEventCategoryDetails/getPwRStatSubstation",
        method: "post",
        data,
    });
}//波形
export function getTransientAnalyseWaves(data) {
    return request({
      url: "/event-boot/transient/getTransientAnalyseWave",
      method: "post",
      data,
    });
  }